Subject: [PATCH] fix mismatch between dfa and regex for treatment of titlecase
From: Norihiro Tanaka <[email-masked]>
To: [email-masked]
Date: Sun, 02 Mar 2014 09:32:38 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: grep
Tags: patch

I found difference between dfa and regex (glibc) treatment of titlecase.
In case-insensitive matching in UTF8 locale,  U+01C7 (LATIN CAPITAL LETTER
LJ) matches with U+01C8 (LATIN CAPITAL LETTER L WITH SMALL LETTER J on
regex, but it doesn't on dfa.

The patch fixes mismatch between dfa and regex for treatment of titlecase.

Norihiro